# GET /prices

**List prices**

Returns a paginated list of prices. Use the query parameters to page through results.

By default, Paddle returns prices that are `active`. Use the `status` query parameter to return prices that are archived.

Use the `include` parameter to include the related product entity in the response.

**Required permissions:** `price.read`

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | array | optional | Return only the IDs specified. Use a comma-separated list to get multiple entities. |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `50`; Maximum: `200`. (Max: 200) |
| `include` | array | optional | Include related entities in the response. |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `billing_cycle.frequency`, `billing_cycle.interval`, `id`, `product_id`, `quantity.maximum`, `quantity.minimum`, `status`, `tax_mode`, `unit_price.amount`, and `unit_price.currency_code`. |
| `product_id` | array | optional | Return entities related to the specified product. Use a comma-separated list to specify multiple product IDs. |
| `status` | array | optional | Return entities that match the specified status. Use a comma-separated list to specify multiple status values. |
| `recurring` | boolean | optional | Determine whether returned entities are for recurring prices (`true`) or one-time prices (`false`). |
| `billing_cycle.interval` | string | optional | Return entities where the price billing cycle interval matches this value. |
| `billing_cycle.frequency` | integer | optional | Return entities where the price billing cycle frequency matches this value. (Min: 1) |
| `type` | string | optional | Return items that match the specified type. |

## Response (200)

- `data`: array (required)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

### Response example

```json
{
  "data": [
    {
      "id": "pri_01h1vjg3sqjj1y9tvazkdqe5vt",
      "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
      "type": "standard",
      "description": "Annual",
      "name": "Annual (recurring addon)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "100000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 1
      },
      "import_meta": null,
      "created_at": "2023-06-01T13:31:34.071379Z",
      "updated_at": "2024-04-05T14:33:40.972651Z"
    },
    {
      "id": "pri_01h1vjfevh5etwq3rb416a23h2",
      "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
      "type": "standard",
      "description": "Monthly",
      "name": "Monthly (recurring addon)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "10000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-06-01T13:31:12.625056Z",
      "updated_at": "2024-04-09T07:23:00.907834Z"
    },
    {
      "id": "pri_01gvne87kv8vbqa9jkfbmgtsed",
      "product_id": "pro_01gsz4vmqbjk3x4vvtafffd540",
      "type": "standard",
      "description": "Monthly",
      "name": "Monthly (per seat)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "5000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-03-16T14:47:43.995985Z",
      "updated_at": "2024-04-09T07:29:19.91977Z"
    },
    {
      "id": "pri_01gsz98e27ak2tyhexptwc58yk",
      "product_id": "pro_01gsz97mq9pa4fkyy0wqenepkz",
      "type": "standard",
      "description": "One-time addon",
      "name": "One-time addon",
      "billing_cycle": null,
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "19900",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 1
      },
      "import_meta": null,
      "created_at": "2023-02-23T14:01:28.391712Z",
      "updated_at": "2024-04-09T07:23:10.921392Z"
    },
    {
      "id": "pri_01gsz96z29d88jrmsf2ztbfgjg",
      "product_id": "pro_01gsz92krfzy3hcx5h5rtgnfwz",
      "type": "standard",
      "description": "Annual (recurring addon)",
      "name": "Annual (recurring addon)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "300000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 1
      },
      "import_meta": null,
      "created_at": "2023-02-23T14:00:40.265185Z",
      "updated_at": "2024-03-25T14:31:18.587603Z"
    },
    {
      "id": "pri_01gsz95g2zrkagg294kpstx54r",
      "product_id": "pro_01gsz92krfzy3hcx5h5rtgnfwz",
      "type": "standard",
      "description": "Monthly (recurring addon)",
      "name": "Monthly (recurring addon)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "25000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 1
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:59:52.159927Z",
      "updated_at": "2024-04-09T07:27:48.018296Z"
    },
    {
      "id": "pri_01gsz91wy9k1yn7kx82aafwvea",
      "product_id": "pro_01gsz4vmqbjk3x4vvtafffd540",
      "type": "standard",
      "description": "Annual",
      "name": "Annual (per seat)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "50000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:57:54.249913Z",
      "updated_at": "2024-04-05T14:32:00.471447Z"
    },
    {
      "id": "pri_01gsz8z1q1n00f12qt82y31smh",
      "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
      "type": "standard",
      "description": "Annual",
      "name": "Annual (per seat)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "30000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 999
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:56:20.833019Z",
      "updated_at": "2024-04-11T13:47:49.566301Z"
    },
    {
      "id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
      "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
      "type": "standard",
      "description": "Monthly",
      "name": "Monthly (per seat)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "3000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 999
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:55:22.538367Z",
      "updated_at": "2024-04-11T13:54:52.254748Z"
    },
    {
      "id": "pri_01gsz8s48pyr4mbhvv2xfggesg",
      "product_id": "pro_01gsz4s0w61y0pp88528f1wvvb",
      "type": "standard",
      "description": "Annual",
      "name": "Annual (per seat)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "10000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:53:06.838342Z",
      "updated_at": "2024-04-09T07:24:33.205169Z"
    },
    {
      "id": "pri_01gsz8ntc6z7npqqp6j4ys0w1w",
      "product_id": "pro_01gsz4s0w61y0pp88528f1wvvb",
      "type": "standard",
      "description": "Monthly",
      "name": "Monthly (per seat)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "1000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:51:18.406674Z",
      "updated_at": "2024-04-05T14:29:40.000454Z"
    }
  ],
  "meta": {
    "request_id": "f44951b7-d24c-42cd-9477-57e659822674",
    "pagination": {
      "per_page": 50,
      "next": "https://api.paddle.com/prices?after=pri_01gsz8ntc6z7npqqp6j4ys0w1w",
      "has_more": false,
      "estimated_total": 1
    }
  }
}
```
